> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create live session 

> Create a new live event session that you can use to go live

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/create-live-event-session
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/create-live-event-session:
    post:
      tags:
        - Live
      summary: 'Create live session '
      description: >-
        Create a new live event session that you can use to go live


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          eventTitle:
                            type: string
                            default: Untitled event
                            description: >-
                              The title of the event. This will be visible to
                              users inside call
                          estimatedStartAtIso:
                            type: string
                            format: date-time
                            description: >-
                              Estimated start time in ISO format. This is only
                              used as a hint and is not enforced (you may start
                              live event before/after this as well)
                          shouldUseDrmForViewer:
                            type: boolean
                            default: false
                            description: >-
                              If passed as true, the HLS playback on viewer side
                              will use DRM protection (widevine and fairplay)
                          shouldAddEveryoneOnStageByDefault:
                            type: boolean
                            default: false
                            description: >-
                              If passed as true, then everyone would be added on
                              stage by default. Note that the max number of
                              students on stage (stage limit) is enforced by the
                              plan limit you have with Fermion.
                          estimatedEventDurationInMinutes:
                            anyOf:
                              - type: number
                                enum:
                                  - 15
                              - type: number
                                enum:
                                  - 30
                              - type: number
                                enum:
                                  - 45
                              - type: number
                                enum:
                                  - 60
                              - type: number
                                enum:
                                  - 90
                              - type: number
                                enum:
                                  - 120
                              - type: number
                                enum:
                                  - 180
                              - type: number
                                enum:
                                  - 240
                              - type: number
                                enum:
                                  - 300
                              - type: number
                                enum:
                                  - 360
                            description: >-
                              Estimated duration of the live event in minutes.
                              Must be one of: 15, 30, 45, 60, 90, 120, 180, 240,
                              300, or 360 minutes
                        required:
                          - estimatedStartAtIso
                          - estimatedEventDurationInMinutes
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                liveEventId:
                                  type: string
                                  description: This is the event ID of the live event.
                                liveEventSessionId:
                                  type: string
                                  description: >-
                                    This is the session ID of the live event
                                    session you must use in your other API calls
                                    to modify the session.
                              required:
                                - liveEventId
                                - liveEventSessionId
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````